Obter as condições de uma operação de empréstimo pessoal já criada
curl --request GET \
--url https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoesimport requests
url = "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"code": "<string>",
"value": 123,
"maxValue": 123,
"registryCode": "<string>",
"installments": [
{
"period": 123,
"installmentsValue": 123,
"financedValue": 123,
"tax": 123,
"cet": 123,
"iofPercentage": 123,
"iofValue": 123,
"tacValue": 123,
"intervalDays": 123,
"schedule": [
{
"number": 123,
"dueDate": "2023-11-07T05:31:56Z",
"amount": 123
}
]
}
]
}Empréstimo Pessoal
Obter as condições de uma operação de empréstimo pessoal já criada
GET
/
api
/
services
/
app
/
EmprestimoPessoal
/
ObterCondicoes
Obter as condições de uma operação de empréstimo pessoal já criada
curl --request GET \
--url https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoesimport requests
url = "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EmprestimoPessoal/ObterCondicoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"code": "<string>",
"value": 123,
"maxValue": 123,
"registryCode": "<string>",
"installments": [
{
"period": 123,
"installmentsValue": 123,
"financedValue": 123,
"tax": 123,
"cet": 123,
"iofPercentage": 123,
"iofValue": 123,
"tacValue": 123,
"intervalDays": 123,
"schedule": [
{
"number": 123,
"dueDate": "2023-11-07T05:31:56Z",
"amount": 123
}
]
}
]
}Reconsulta as condições atuais de uma operação de empréstimo pessoal já criada, identificada
pelo
code (retornado em Simular). Útil para
retomar um fluxo ou reexibir as parcelas antes de
Contratar.
Autentique-se antes (Autenticação). Só retorna operações de empréstimo pessoal do seu tenant.
Periodicidade das parcelas
Cada opção deinstallments traz intervalDays (intervalo em dias entre as parcelas; null
quando a operação é mensal) e schedule (cronograma com number, dueDate e amount de cada
parcela; lista vazia quando a operação é mensal). Uma operação simulada com periodicidade diária,
semanal ou quinzenal devolve uma única opção. Veja
Simular para as regras.
curl "https://gateway.hubcred.com.br/external/v1/api/services/app/EmprestimoPessoal/ObterCondicoes?code=ABC123" \
-H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Response
OK
Resultado da simulação de empréstimo pessoal.
Código público da simulação/operação — use ao contratar.
Valor simulado.
Valor máximo disponível, quando aplicável.
CPF/CNPJ do cliente.
Opções de parcelamento simuladas.
Show child attributes
Show child attributes